<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="315885e4-7e3b-4aa5-85ff-0de671592c3a" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="lab1" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/pacman.py">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/search.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3723">
              <caret line="220" selection-start-line="220" selection-end-line="220" />
              <folding>
                <element signature="e#774#785#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/util.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="3077">
              <caret line="184" column="22" selection-start-line="184" selection-start-column="22" selection-end-line="184" selection-end-column="22" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/searchTestClasses.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="6324">
              <caret line="379" selection-start-line="379" selection-end-line="379" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/commands.txt">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/searchAgents.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="17">
              <caret line="517" selection-start-line="517" selection-end-line="517" />
              <folding>
                <element signature="e#1353#1364#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/game.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1224">
              <caret line="75" column="45" selection-start-line="75" selection-start-column="45" selection-end-line="75" selection-end-column="45" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/testClasses.py">
          <provider selected="true" editor-type-id="text-editor" />
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>your code</find>
      <find>state</find>
      <find>[</find>
    </findStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$USER_HOME$/AppData/Local/Temp/7zO421DDFF4/searchAgents.py" />
        <option value="$PROJECT_DIR$/searchTestClasses.py" />
        <option value="$PROJECT_DIR$/search.py" />
        <option value="$PROJECT_DIR$/searchAgents.py" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="6" />
    <option name="y" value="-45" />
    <option name="width" value="1890" />
    <option name="height" value="960" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="lab1" type="b2602c69:ProjectViewProjectNode" />
              <item name="lab1" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../lab1_ferko" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="315885e4-7e3b-4aa5-85ff-0de671592c3a" name="Default Changelist" comment="" />
      <created>1553539877509</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1553539877509</updated>
    </task>
    <servers />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="-7" width="1295" height="695" extended-state="6" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" weight="0.32511923" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" weight="0.32954547" />
      <window_info anchor="bottom" id="Version Control" order="0" />
      <window_info anchor="bottom" id="Python Console" order="1" weight="0.3285968" />
      <window_info anchor="bottom" id="Event Log" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="3" />
      <window_info anchor="bottom" id="Find" order="4" />
      <window_info anchor="bottom" id="Run" order="5" />
      <window_info anchor="bottom" id="Debug" order="6" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="7" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="8" weight="0.4" />
      <window_info active="true" anchor="bottom" id="Terminal" order="9" visible="true" weight="0.29129663" />
      <window_info anchor="bottom" id="TODO" order="10" weight="0.3285968" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout>
    <layout-to-restore>
      <window_info id="Favorites" order="0" side_tool="true" />
      <window_info content_ui="combo" id="Project" order="1" visible="true" weight="0.24960254" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Version Control" order="0" />
      <window_info anchor="bottom" id="Python Console" order="1" weight="0.3285968" />
      <window_info anchor="bottom" id="Event Log" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="3" />
      <window_info anchor="bottom" id="Find" order="4" />
      <window_info anchor="bottom" id="Run" order="5" />
      <window_info anchor="bottom" id="Debug" order="6" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="7" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="8" weight="0.4" />
      <window_info active="true" anchor="bottom" id="Terminal" order="9" visible="true" weight="0.3463588" />
      <window_info anchor="bottom" id="TODO" order="10" weight="0.3285968" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
    </layout-to-restore>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$USER_HOME$/AppData/Local/Temp/7zO421DDFF4/searchAgents.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/pacman.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/search.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3723">
          <caret line="220" selection-start-line="220" selection-end-line="220" />
          <folding>
            <element signature="e#774#785#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/util.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3077">
          <caret line="184" column="22" selection-start-line="184" selection-start-column="22" selection-end-line="184" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/searchTestClasses.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6324">
          <caret line="379" selection-start-line="379" selection-end-line="379" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/commands.txt">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/game.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1224">
          <caret line="75" column="45" selection-start-line="75" selection-start-column="45" selection-end-line="75" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/testClasses.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/searchAgents.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="17">
          <caret line="517" selection-start-line="517" selection-end-line="517" />
          <folding>
            <element signature="e#1353#1364#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>